BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Specifies the level of access permitted for a file that is already in use.

This enumeration is used to specify the way in which multiple threads access the same file. The level of access is set by the first thread that requests access to the file. For example, if a thread opens a file and specifies , other threads are permitted to open the file for reading but not for writing.

- Field
  System.IO.FileShare To be added. 2.0.0.0 4.0.0.0
- Field
  System.IO.FileShare Inheritable To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.IO.FileShare None

  Specifies that the file cannot be accessed by additional threads.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.IO.FileShare Read

  Specifies that additional threads can share read access to the file. This value does not determine whether such access is granted, however.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.IO.FileShare ReadWrite

  Specifies that additional threads can share read and/or write access to the file. This value does not determine whether such access is granted, however.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.IO.FileShare Write

  Specifies that additional threads can share write access to the file. This value does not determine whether such access is granted, however.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0